##%define subver 1

#%define cvs 1
#%define cvs_date 20050929

Name: scorched3d
Version: 40.1d
Release: alt1
License: GPL
Group: Games/Arcade
Summary: A 3D version of the classic DOS game Scorched Earth
URL: http://www.scorched3d.co.uk
#%ifdef cvs
#Source: scorched3d_%{version}+cvs%{cvs_date}.orig.tar.gz
#%else
Source: Scorched3D-%{version}-src.tar.gz
#%endif
#Patch0: scorched3d-39-build-fix.patch
Patch1: scorched3d-%version-zlib-fix.patch
Patch2: scorched3d-%version-freealut-fix.patch


Packager: Eugene V. Horohorin <genix@altlinux.ru>

# Automatically added by buildreq on Thu Mar 22 2007
BuildRequires: esound gcc-c++ libSDL-devel libSDL_net-devel libfreetype-devel libgtk+2-common libmesa-devel libopenal-devel libpango-devel libvorbis-devel wxGTK2u-devel

BuildRequires: freetype2-devel gcc-c++ gtk+ libSDL-devel libSDL_net-devel libopenal-devel libstdc++-devel wxGTK2u-devel pango-devel xorg-x11-devel xorg-x11-mesagl zlib-devel

%description
Scorched 3D is a game based loosely on the classic DOS game Scorched
Earth "The Mother Of All Games".

%prep
%setup -q -n scorched
rm -rf autom4te.cache/
%__subst 's,\/usr\/X11R6\/lib,%_x11libdir,g' configure.ac

#%%patch0 -p0
%patch1 -p1
%patch2 -p0
%__rm -rf src/zlib
find -type f -name "*.cpp" -exec %__subst "s@<zlib/zlib.h>@<zlib.h>@" {} \;

%build
/bin/touch {ChangeLog,NEWS}
%__autoreconf
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir/%{name} --libdir=%_libdir
%make

%install
%__mkdir_p %buildroot%{_menudir}
make install DESTDIR=%buildroot

# Menu                                                                          
%__cat << EOF > %buildroot%_menudir/%name
?package(%name): needs="X11" section="Amusement/Arcade" \
title="Scorched 3D" longtitle="3D version of the classic DOS game Scorched Earth" \
command="%_gamesbindir/%name" icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%{_gamesdatadir}/*
%{_gamesbindir}/scorched3d
%_menudir/%name
%doc AUTHORS TODO README documentation/html/*

%changelog
* Thu Mar 22 2007 Eugene V. Horohorin <genix@altlinux.ru> 40.1d-alt1
- 40.1d
- fix/rebuild with freealut

* Fri Dec 22 2006 Eugene V. Horohorin <genix@altlinux.ru> 40.1-alt2
- rebuild with wxGTK2u

* Sun Oct 29 2006 Eugene V. Horohorin <genix@altlinux.ru> 40.1-alt1
- 40.1

* Mon Aug 21 2006 Eugene V. Horohorin <genix@altlinux.ru> 40-alt1
- 40

* Thu Dec 15 2005 LAKostis <lakostis at altlinux.ru> 39.1-alt0.cvs20050929
- NMU.
- rebuild with wxGTK2.
- CVS snapshot 20050929 from Debian.
- x86_64 build fixes.

* Tue Oct 18 2005 Eugene V. Horohorin <genix@altlinux.ru> 39-alt2
- scorched3d-aspect.patch added
- zlib static removed #8246

* Sat Aug 13 2005 Eugene V. Horohorin <genix@altlinux.ru> 39-alt1
- new version

* Fri Apr 01 2005 Eugene V. Horohorin <genix@altlinux.ru> 38.1-alt1
- new version

* Tue Dec 28 2004 Eugene V. Horohorin <genix@altlinux.ru> 38-alt1
- new version

* Tue Oct 26 2004 Eugene V. Horohorin <genix@altlinux.ru> 37-alt2
- menu file group fix

* Sat Sep 25 2004 Eugene V. Horohorin <genix@altlinux.ru> 37-alt1
- First build.

